阅读背景:

iOS无法找到AWS pod的pod规范

来源:互联网 

I've looked around for an answer to this but could not find anything useful. According to AWS you just add the following to your pod file:

我四处寻找答案,但找不到任何有用的东西。根据AWS,您只需将以下内容添加到您的pod文件中:

source 'https://github.com/CocoaPods/Specs.git'
pod 'AWSCore'
pod 'AWSAutoScaling'
pod 'AWSCloudWatch'
pod 'AWSDynamoDB'
pod 'AWSEC2'
pod 'AWSElasticLoadBalancing'
pod 'AWSKinesis'
pod 'AWSS3'
pod 'AWSSES'
pod 'AWSSimpleDB'
pod 'AWSSNS'
pod 'AWSSQS'
pod 'AWSCognito'

When I do this I get "[!] Unable to find a specification for AWSCore"

当我这样做时,我得到“[!]无法找到AWSCore的规范”

My full pod file is the following. Note that if I exclude the AWS pods and just have AFNetworking, there is no problem, so I believe cocoapods is installed correctly.

我的完整pod文件如下。请注意,如果我排除AWS pod并且只有AFNetworking,那么没有问题,所以我相信cocoapods已正确安装。

target :myApp do

source 'https://github.com/CocoaPods/Specs.git'
pod 'AWSCore'
pod 'AWSAutoScaling'
pod 'AWSCloudWatch'
pod 'AWSDynamoDB'
pod 'AWSEC2'
pod 'AWSElasticLoadBalancing'
pod 'AWSKinesis'
pod 'AWSS3'
pod 'AWSSES'
pod 'AWSSimpleDB'
pod 'AWSSNS'
pod 'AWSSQS'
pod 'AWSCognito'

pod "AFNetworking", "~> 2.0"

end

1 个解决方案

#1


When installing CocoaPods, did you run pod setup as well?

安装CocoaPods时,您是否也运行了pod设置?

$ sudo gem install cocoapods
$ pod setup

If you have already done this, you can set it up again with a clean state:

如果您已经完成此操作,则可以使用干净状态重新设置它:

$ pod repo remove master
$ pod setup

分享到: